// Author: fengshengxiong
// Date: 2024/6/21
// Description: RemovePaddingMusicBar

import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:tone_snap/modules/sideb/music_bar/music_bar.dart';
import 'package:tone_snap/res/themes/app_sizes.dart';

class RemovePaddingMusicBar extends StatelessWidget {
  const RemovePaddingMusicBar({super.key});

  @override
  Widget build(BuildContext context) {
    return Obx(() {
      return Visibility(
        visible: MusicBar().isShow.value,
        child: SafeArea(
          top: false,
          left: false,
          right: false,
          child: SizedBox(
            height: musicBarHeight,
          ),
        ),
      );
    });
  }
}
